#include "main.h"
#include "calc.h"
#include "init.h"
#include "draw.h"
#include "hud.h"

void loading(){
	glBindTexture(GL_TEXTURE_2D, texture[8]);
   	glBegin(GL_QUADS);
			glTexCoord2f( 1.00, 0.00 );
			glVertex3f( -1,  1,  1);
			glTexCoord2f( 0.00, 0.00 );
			glVertex3f(  1,  1,  1);
			glTexCoord2f( 0.00, 1.00 );
			glVertex3f(  1, -1,  1);
			glTexCoord2f( 1.00, 1.00 );
			glVertex3f( -1, -1,  1);
	glEnd();	
	SDL_GL_SwapBuffers();
}

void print_font(char *string,int x,int y,GLfloat r, GLfloat g, GLfloat b){
	glMatrixMode(GL_MODELVIEW);                                
	glLoadIdentity();
	glColor3f(r,g,b);
	glTranslated(x,y,0);
	glScalef(0.4,0.4,1.0f);
	glCallLists(strlen(string),GL_BYTE,string);
	glColor3f(1,1,1);
}

void goto_ortho(){
	glMatrixMode(GL_PROJECTION);
	glPushMatrix();
	glLoadIdentity();
	glOrtho(0,SCREEN_WIDTH,0,SCREEN_HEIGHT,0,1);
	glMatrixMode(GL_MODELVIEW);                                
	glLoadIdentity();
}

void exit_ortho(){
	glMatrixMode(GL_PROJECTION);                            
	glPopMatrix();                                            
	glMatrixMode(GL_MODELVIEW);
}

